osgWidget::LuaEngine Class Reference

`#include <Lua>`

Inheritance diagram for osgWidget::LuaEngine:

## Public Member Functions

| LuaEngine (WindowManager *=0)
bool | initialize ()
bool | close ()
bool | eval (const std::string &)
bool | runFile (const std::string &)
Public Member Functions inherited from osgWidget::ScriptEngine
virtual const std::string & | getLastErrorText () const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Attributes

LuaEngineData * | _data
WindowManager * | _wm
Protected Attributes inherited from osgWidget::ScriptEngine
std::string | _err
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Constructor & Destructor Documentation

## LuaEngine()

osgWidget::LuaEngine::LuaEngine | ( | WindowManager * | = 0 | ) |

## Member Function Documentation

## close()

bool osgWidget::LuaEngine::close | ( |  | ) |

virtual

Reimplemented from osgWidget::ScriptEngine.

## eval()

bool osgWidget::LuaEngine::eval | ( | const std::string & |  | ) |

virtual

Reimplemented from osgWidget::ScriptEngine.

## initialize()

bool osgWidget::LuaEngine::initialize | ( |  | ) |

virtual

Reimplemented from osgWidget::ScriptEngine.

## runFile()

bool osgWidget::LuaEngine::runFile | ( | const std::string & |  | ) |

virtual

Reimplemented from osgWidget::ScriptEngine.

## Member Data Documentation

## _data

LuaEngineData* osgWidget::LuaEngine::_data

protected

## _wm

WindowManager* osgWidget::LuaEngine::_wm

protected

The documentation for this class was generated from the following file:

- Lua